      subroutine plww0j(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg


C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 550
         imrg = 1
         rna = xrun(11)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 12
         if (isel.eq.120) grcproc = 'pp(bar)->W+(2f)+W-(2f)'
         if (isel.eq.551) grcproc = 'qq -> W+(2f)+W-(2f) (ELWK4)'

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2403
         cxtype = 123456
         gtau(1) = 1
         gtau(14) = 2
         gyst(1) = 1
         gyst(14) = 5
         gcos3(1) = 1
         gcos3(14) = 1
         gq12(1) = 1
         gq12(14) = 10
         gq22(1) = 1
         gq22(14) = 10

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         isel = 1
      endif

      return
      end
