      subroutine plzz0j(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg


C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 549
         imrg = 1
         rna = xrun(11)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 12
         if (isel.eq.140) grcproc = 'pp(bar)->Z/A(2f)+Z/A(2f)'
         if (isel.eq.550) grcproc = 'qq -> Z/A(2f)+Z/A(2f)(ELWK4)'

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2403
         cxtype = 123456
         if (igrcgef.eq.1) then
            gtau(1) = 1
            gtau(14) = 2
            gyst(1) = 1
            gyst(14) = 1
            gq12(1) = 2
            gq12(2) = 10.0d0**2
            gq12(3) = 70.0d0**2
            gq12(9) = 0.5d0
            gq12(14) = 3
            gq12(15) = 11
            gq22(1) = 2
            gq22(2) = 10.0d0**2
            gq22(3) = 70.0d0**2
            gq22(9) = 0.5d0
            gq22(14) = 3
            gq22(15) = 11
            gcos3(1) = 1
            gcos3(14) = 4
         else
            gtau(1) = 1
            gtau(14) = 2
            gyst(1) = 1
            gyst(14) = 1
            gq12(1) = 1
            gq12(2) = 10.0d0**2
            gq12(14) = 11
            gq22(1) = 1
            gq22(2) = 10.0d0**2
            gq22(14) = 11
            gcos3(1) = 1
            gcos3(14) = 4
         endif

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         isel = 1
      endif

      return
      end
