************************************************************************
*             Graph No. 1 - 1
*         Generated No. 1
************************************************************************
      subroutine a423g1
      implicit real*8(a-h,o-z)

      include 'incl4231.h'
      include 'inclk.h'
      include 'incl423p.h'
*-----------------------------------------------------------------------
      common /amwork/cf42329q,av5,av6,av7,av8,ex42329q,pt42329q,
     &               ev42325b,eq42325b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex42329q(2),pt42329q(4,3),ev42325b(lepinv),
     &           eq42325b(4,lepinv)
      complex*16 cf42329q(2,4)
      complex*16 av5(lextrn*lintrn*lepexa)
      complex*16 av6(lintrn*lextrn*lepinv)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepexa*lextrn*lepinv)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn42329,amass2(1),amass1(1)*aguq(1))
      call snprpd(pphase,aprop,vn42325,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(1),pf42329,vn42329,ex42329q,pt42329q,cf42329q)
      call smintv(lepinv,amw,pf42325,eq42325b,ev42325b,vn42325,igauwb)

* Vertices (8)

*     5(0): pf42329 u
*     5(1): pf4232 u
*     5(2): pf42330 gluon
      call smffv(lextrn,lintrn,lepexa,ex4232q,ex42329q,
     $     amass1(1),amass1(1),cguu(1,1),
     $     cf4232q,cf42329q,pt4232q,pt42329q,eq42330e,lt5,av5)

*     6(0): pf4234 d
*     6(1): pf42329 u
*     6(2): pf42325 w-plus
      call smffv(lintrn,lextrn,lepinv,ex42329q,ex4234t,
     $     amass1(1),amass1(2),cwdu(1,1),
     $     cf42329q,cf4234t,pt42329q,pt4234t,eq42325b,lt6,av6)

*     7(0): pf42317 nu-e
*     7(1): pf4239 electron
      call smffv(lextrn,lextrn,lepinv,ex4239n,ex42317k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4239n,cf42317k,pt4239n,pt42317k,eq42325b,lt7,av7)

      call smconf(lt5,lt6,2,1,ex42329q,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,4,ev42325b,av7,av8,lt,av)

      sym = + 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 5
      indexg(5) = 2

      if(jcpol(5).ne.0) call smcpol(4, lt, av)

      call a423mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l423ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
*             Graph No. 3 - 1
*         Generated No. 3
************************************************************************
      subroutine a423g3
      implicit real*8(a-h,o-z)

      include 'incl4231.h'
      include 'inclk.h'
      include 'incl423p.h'
*-----------------------------------------------------------------------
      common /amwork/cf42326t,av5,av6,av7,av8,ex42326t,pt42326t,
     &               ev42325b,eq42325b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex42326t(2),pt42326t(4,3),ev42325b(lepinv),
     &           eq42325b(4,lepinv)
      complex*16 cf42326t(2,4)
      complex*16 av5(lextrn*lintrn*lepinv)
      complex*16 av6(lintrn*lextrn*lepexa)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepinv*lextrn*lepexa)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn42326,amass2(2),amass1(2)*agdq(1))
      call snprpd(pphase,aprop,vn42325,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(2),pf42326,vn42326,ex42326t,pt42326t,cf42326t)
      call smintv(lepinv,amw,pf42325,eq42325b,ev42325b,vn42325,igauwb)

* Vertices (8)

*     5(0): pf42326 d
*     5(1): pf4232 u
*     5(2): pf42325 w-plus
      call smffv(lextrn,lintrn,lepinv,ex4232q,ex42326t,
     $     amass1(1),amass1(2),cwdu(1,1),
     $     cf4232q,cf42326t,pt4232q,pt42326t,eq42325b,lt5,av5)

*     6(0): pf4234 d
*     6(1): pf42326 d
*     6(2): pf42330 gluon
      call smffv(lintrn,lextrn,lepexa,ex42326t,ex4234t,
     $     amass1(2),amass1(2),cgdd(1,1),
     $     cf42326t,cf4234t,pt42326t,pt4234t,eq42330e,lt6,av6)

*     7(0): pf42317 nu-e
*     7(1): pf4239 electron
      call smffv(lextrn,lextrn,lepinv,ex4239n,ex42317k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4239n,cf42317k,pt4239n,pt42317k,eq42325b,lt7,av7)

      call smconf(lt5,lt6,2,1,ex42326t,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,2,ev42325b,av7,av8,lt,av)

      sym = + 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 2
      indexg(5) = 5

      if(jcpol(5).ne.0) call smcpol(5, lt, av)

      call a423mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l423ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
