      subroutine me551( kf, am, p, ans )
C  Calculate the matrix element of the process 551: 
C  q qbar -> W(-> f f'bar) W(-> f'' f'''bar).
      implicit real*8(a-h,o-z)
      include 'incl5511.h'
      include 'inclk.h'

      integer kf(6)
      real*8 p(4,6),am(6)

      call g551finit

      do i=1,6
         kfcode(i)= kf(i)
         amass1(i)= am(i)
         amass2(i)= amass1(i)**2
      enddo

      call a551mclr
C      call amparm

C  A diagram selection is done in grcusrfnc551 according to the given 
C  "kfcode".
      ireg= 1
      call grcusrfnc551(ireg)

      do i=1,4
         pe5511(i) = p(i,1)
         pe5512(i) = p(i,2)
         pe5513(i) = p(i,3)
         pe5514(i) = p(i,4)
         pe5515(i) = p(i,5)
         pe5516(i) = p(i,6)
      enddo

      do i=1,6
         do j=1,6
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      call a551kptbl
      call a551mptbl
      call a551mpsum( ansm )
      ans= ansm*aspin

      return
      end
