      subroutine plz0j(imode,isel)
      implicit none

      INCLUDE 'inclk.h'
      INCLUDE 'grchad.inc'

      INTEGER MXDIM,NDMX,NDIM,NWILD,IG,NCALL,ITMX1,ITMX2
      DOUBLE PRECISION XL,XU,ACC1,ACC2
      PARAMETER (MXDIM = 50, NDMX = 50 )
      COMMON /BPARM1/ XL(MXDIM),XU(MXDIM),NDIM,NWILD,
     $     IG(MXDIM),NCALL
      COMMON /BPARM2/ ACC1,ACC2,ITMX1,ITMX2

      INTEGER JPROC
      COMMON /AMJPRC/JPROC

      CHARACTER GRCPROC*40
      COMMON/GRCCHAR/GRCPROC

      INTEGER i,imode,isel
      real*8  xsn(10),rna
      integer imrg,ijrg


C...Decide subprocess ID.
      if (imode.eq.1) then
         ijrg = 499
         imrg = 1
         rna = xrun(5)
         xsn(1) = 0.0d0
         xsn(imrg+1) = 1.0d0
         do i = 1,imrg
            if (rna.gt.xsn(i).and.rna.le.xsn(i+1)) then
               gpri(10) = (rna-xsn(i))/(xsn(i+1)-xsn(i))
               yacob = yacob/(xsn(i+1)-xsn(i))
               jproc = i + ijrg
            endif
         enddo

C...Set dimension and process character.
      else if (imode.eq.2) then
         ndim = 6
         if (isel.eq.110) grcproc = 'pp(bar)->Z/gamma*->2f'
         if (isel.eq.500) grcproc = 'qq -> Z/gamma* -> 2f (ELWK2)'

C...Initialize kinematic parameter.
      else if (imode.eq.3) then
         mxreg = 1
         ktype = 2201
         cxtype = 1234
         if (igrcgef.eq.1) then
            gtau(1) = 2
            gtau(2) = 10.0D0**2/grcecm**2
            gtau(3) = 70.0d0**2/grcecm**2
            gtau(9) = 0.5d0
            gtau(14) = 2
            gtau(15) = 9
            gyst(1) = 1
            gyst(14) = 1
            gcos3(1) = 1
            gcos3(14) = 1
         else
            gtau(1) = 1
            gtau(2) = 10.0D0**2/grcecm**2
            gtau(14) = 9
            gyst(1) = 1
            gyst(14) = 1
            gcos3(1) = 1
            gcos3(14) = 1
         endif

C...Set flavor and if necessary, decide weight of each phase space.
      else if (imode.eq.4) then
         isel = 1
      endif

      return
      end
